matrix:
  platform:
    - debian11
    - macos
    - macos_arm64
    - ubuntu2404
    - windows
  bazel: [7.x, 8.x]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@thorvg//:thorvg'
bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - debian11
      - macos
      - macos_arm64
      - ubuntu2404
      - windows
    bazel: [7.x, 8.x]
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - //:test_initializer
      test_targets:
        - //:test_initializer


